@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&display=swap');

$blue: #0067b1;

* {
    font-family: 'Roboto', sans-serif;
    box-sizing: border-box !important;
    margin: 0px;
    padding: 0px;
}

button {
    background: none;
    border: none;
    cursor: pointer;
}

body {
    background-color: #fbfcfd;
    margin-top: 24px;
    display: flex;
    justify-content: center;
}

.container {
    display: grid;
    grid-template-areas:
        "heading heading"
        "options table"
    ;
    grid-template-columns: auto auto;
    row-gap: 28px;
    column-gap: 40px;

    @media (max-width: 850px) {
        grid-template-areas:
            "heading"
            "options"
            "table"
        ;
        grid-template-columns: auto;

        .options {
            align-items: center;
        }
    }

    &:focus {
        outline: none;
    }

    div.heading {
        grid-area: heading;
        justify-self: center;
        text-align: center;

        .title {
            margin-bottom: 16px;
            display: flex;
            column-gap: 8px;
            align-items: center;
            line-height: 20px;

            svg {
                width: 20px;
                height: 16px;
            }
        }

        p {
            font-weight: 500;
            font-size: 14px;
            color: #666;

            span {
                color: #555;
                font-weight: 600;
            }
        }
    }

    .options {
        grid-area: options;
    }

    table {
        grid-area: table;

        &.loading {
            tr {
                transition: 0.1s ease-out;
                opacity: 0.2;
                pointer-events: none;
            }
        }
    }
}

.options {
    margin-top: 12px;
    display: flex;
    flex-direction: column;
    column-gap: 8px;
    row-gap: 8px;
    flex-wrap: wrap;

    label {
        margin-top: 8px;
        margin-bottom: 4px;
        font-size: 13px;
        font-weight: 500;
    }

    input {
        width: 200px;
        padding: 4px;
        background-color: white;
        // background-color: #f8f8f8;
        border: 1px solid #cacaca;
        border-radius: 4px;

        &::-webkit-calendar-picker-indicator {
            display: none;
        }
    }

    .col {
        display: grid;
    }

    .button-row {
        margin-top: 4px;
    }

    button {
        padding: 4px 12px;
        height: 30px;
        border: 1px solid #0067b1;
        border-radius: 4px;
        background: #0067b1;
        color: #fafafa;
        font-size: 13px;
        font-weight: 500;
    }
}

.main-container {
    display: flex;
    flex-direction: column;
}

table {
    // position: absolute;
    // left: 50%;
    // transform: translateX(-50%);
    padding: 16px 20px 4px 20px;
    background-color: white;
    border: 1px solid #dadada;
    border-radius: 8px;
    border-spacing: 0;
    text-align: left;
    position: relative;


    // border-collapse: collapse;
    th {
        padding-right: 16px;
        padding-bottom: 10px;
        color: #444;
    }

    tr {
        cursor: pointer;

        &:hover,
        &:focus-within {
            background-color: #fafafa;
        }

        &:first-child:hover {
            background-color: white;
            cursor: default;
        }

        td {
            padding: 16px 24px 16px 0px;
            border-bottom: 1px solid #eaeaea;
            font-size: 15px;

        }

        &:last-child td {
            border-bottom: none !important;
        }

        @media (max-width: 1200px) {

            th,
            td {
                &:nth-child(3) {
                    display: none;
                }
            }
        }
    }

    tr.spinner-container {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -45%);
        opacity: 1 !important;

        @keyframes rotate {
            0% {
                transform: rotate(0deg)
            }

            100% {
                transform: rotate(360deg)
            }
        }

        svg {
            height: 20px;
            width: 20px;
            animation: rotate 1.4s linear infinite;
        }
    }

}

.pagination {
    margin-bottom: 10rem;
    margin-top: 12px;
    display: flex;
    justify-content: center;
    column-gap: 6px;

    button {
        padding: 6px 8px;
        display: flex;
        align-items: center;
        column-gap: 8px;
        border-radius: 6px;
        font-size: 13px;
        font-weight: 500;

        svg {
            height: 11px;
        }

        &:first-child {
            margin-right: 8px;
        }

        &:last-child {
            margin-left: 8px;
        }

        &.disabled {
            pointer-events: none;
            user-select: none;
            opacity: 0.35;
        }

        &:hover {
            background-color: #eaeaea;
        }
    }

    a {
        height: 28px;
        width: 28px;
        display: flex;
        justify-content: center;
        align-items: center;
        text-decoration: none;
        border-radius: 6px;
        font-size: 14px;
        font-weight: 500;
        color: #222;

        &:hover {
            background-color: #eaeaea;
        }

        &:focus {
            background-color: #dadada;
            color: #000;
        }

        &.active {
            background: #444;
            color: #fafafa;
        }

        &.disabled {
            display: none;
            pointer-events: none;
        }
    }
}

.modal {
    background: #00000022;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0px;
    left: 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;

    @media (max-height: 760px) {
        height: auto;
        align-items: start;
    }


    .date-picker-wrapper {
        background-color: white;
        border-radius: 16px;
        padding: 20px;
        display: flex;
        flex-direction: column;

        .date-picker {
            border: none;

            @media (min-width: 370px) {
                .vc-weekday {
                    padding: 16px 0px 20px 0px;
                }

                .vc-day {
                    padding: 4px;

                    .vc-day-content,
                    .vc-highlight {
                        font-size: 15px;
                        min-height: 36px;
                        min-width: 36px;
                    }
                }
            }
        }

        .button-row {
            margin-right: 12px;
            display: flex;
            justify-content: flex-end;

            button {
                padding: 6px 16px;
                margin-left: 12px;
                border-radius: 4px;

                &:first-child {
                    background: #dadada;
                    color: black;
                }

                &:last-child {
                    background: $blue;
                    color: white;
                }
            }
        }
    }

    .details-modal {
        margin: 24px 16px;
        width: auto;
        // position: absolute;
        // left: 50%;
        // transform: translateX(-50%);
        background: white;
        padding: 28px 32px;
        border-radius: 20px;
        z-index: 11;

        .heading {
            margin-bottom: 20px;
            display: flex;
            justify-content: space-between;

            h2 {
                font-size: 22px;
            }

            button {
                height: 35px;
                width: 35px;
                border-radius: 50%;
                font-size: 20px;

                &:hover {
                    background: #F1F1F1;
                }
            }

            svg {
                height: 20px;
            }
        }

        h4 {
            width: max-content;
            margin: 0px 0px 16px 0px;
            font-weight: 400;
            border-bottom: 1px solid #222;
        }

        .sections {
            width: 100%;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            column-gap: 48px;
            row-gap: 24px;

            // p {
            //     &:nth-child(odd) {
            //         font-weight: 500;
            //     }

            //     &:nth-child(odd) {
            //         font-size: 15px;
            //     }
            // }

            .table {
                // max-width: 400px;
                display: grid;
                grid-template-columns: auto auto;

                .col {
                    display: grid;
                    grid-template-rows: auto;

                    p,
                    a {
                        color: inherit;
                        padding: 6px 12px;
                        border: 1px solid #eaeaea;

                        &:hover {
                            background-color: #fafafa;
                        }
                    }

                    &:first-child p {
                        font-size: 15px;
                        line-height: 24px;
                        background-color: #fafafa;
                    }

                    &:nth-child(2) p,
                    &:nth-child(2) a {
                        font-weight: 500;
                        line-height: 24px;
                    }
                }

            }
        }
    }

}

.toast-container {
    position: absolute;
    bottom: 3rem;
    left: 50%;
    transform: translateX(-50%);

    .toast {
        padding: 10px 14px;
        display: flex;
        align-items: center;
        background: white;
        border-radius: 10px;
        border: 1px solid #cacaca;
        font-size: 15px;

        svg {
            margin-left: 20px;
            height: 14px;
        }
    }
}


.slide-up-enter-active,
.slide-up-leave-active {
    transition: opacity .1s;
}

.slide-up-enter,
.slide-up-leave-to {
    opacity: 0;
    transition: opacity .1s;
}


.actions-wrapper {
    margin-top: 20px;
    justify-content: center;
    column-gap: 40px;
    display: flex;

    &.loading {
        opacity: 0.35;
        pointer-events: none;
    }

    .action {
        height: 60px;
        width: 60px;
        border: none;
        border-radius: 50%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        svg {
            height: 28px;
            padding-bottom: 1px;
        }

        transition: 0.1s ease-out;

        &-approve {
            color: #388e3c;
            fill: #388e3c;
            background-color: #f1f9f1;

            &:hover {
                background-color: #e8f5e9;
            }
        }

        &-reject {
            color: #e53935;
            fill: #e53935;
            background-color: #fff3f4;

            &:hover {
                background-color: #ffebee;
            }
        }
    }
}

.status {
    width: max-content;
    position: relative;
    display: flex;
    flex-direction: column;

    button {
        height: 24px;
        width: 70px;
        border: none;
        border-radius: 8px;
        cursor: pointer;
        font-size: 12px;
        font-weight: 600;
    }

    .approved {
        z-index: 1;
        background: #e1f5fe;
        color: #0288d1;
        border: 1px solid #e1f5fe;
    }

    .pending {
        background-color: #e1f5fe;
        color: #0288d1;
        // background-color: #eceff1;
        // color: #455a64;
    }

    .rejected {
        // position: absolute;
        // left: 0px;
        background-color: #ffebee;
        color: #e53935;
        // box-shadow: 0px 2px 6px -3px rgba(0, 0, 0, 0.4);
        // border: 1px solid #ffebee;
        // z-index: 2;
        // opacity: 0;
    }

    &:hover {
        button {
            &:hover {
                box-shadow: 0px 2px 6px -3px rgba(0, 0, 0, 0.7);
            }
        }

        // .reject {
        //     top: 48px;
        //     opacity: 1;

        //     &:hover {
        //         box-shadow: 0px 2px 6px -3px rgba(0, 0, 0, 0.8);
        //     }
        // }
    }

    &.disabled {
        button {
            // cursor: default;

            &:hover {
                box-shadow: none;
            }
        }

        .approved {
            color: #388e3c;
            background-color: #e8f5e9;
        }
    }
}